[m-c-s][PATCH v2 2/3] librdmacm: set imcompatible with arm 32 and mips arches


kai
 

From: Kai Kang <kai.kang@...>

librdmacm depends on package libibverbs which has been set imcompatible
with arm 32 and mips arches by commit 215b975.

When build librdmacm it shows errors:

| NOTE: Resolving any missing task queue dependencies
| ERROR: Nothing PROVIDES 'virtual/libibverbs' (but
| .../meta-cloud-services/recipes-extended/librdmacm/librdmacm_1.1.0.bb
| DEPENDS on or otherwise requires it)
| libibverbs PROVIDES virtual/libibverbs but was skipped: incompatible
| with host arm-wrs-linux-gnueabi (not in COMPATIBLE_HOST)
| ERROR: Required build target 'librdmacm' has no buildable providers.
| Missing or unbuildable dependency chain was: ['librdmacm', 'virtual/libibverbs']

So set librdmacm imcompatible with arm 32 and mips arches too.

Signed-off-by: Kai Kang <kai.kang@...>
---
recipes-extended/librdmacm/librdmacm_1.1.0.bb | 3 +++
1 file changed, 3 insertions(+)

diff --git a/recipes-extended/librdmacm/librdmacm_1.1.0.bb b/recipes-extended/librdmacm/librdmacm_1.1.0.bb
index 30a0c94..edf92f0 100644
--- a/recipes-extended/librdmacm/librdmacm_1.1.0.bb
+++ b/recipes-extended/librdmacm/librdmacm_1.1.0.bb
@@ -39,3 +39,6 @@ do_install_append() {
rm -f ${D}${libdir}/librdmacm.la
rm -f ${D}${libdir}/rsocket/librspreload.la
}
+
+COMPATIBLE_HOST_mipsarch = "none"
+COMPATIBLE_HOST_arm = "none"
--
2.20.0

Join meta-virtualization@lists.yoctoproject.org to automatically receive all group messages.